<?php

namespace App\Filament\Resources\HomeContentResource\Pages;

use App\Filament\Resources\HomeContentResource;
use App\Models\HomeContent;
use Filament\Actions;
use Filament\Resources\Pages\ManageRecords;

class ManageHomeContent extends ManageRecords
{
    protected static string $resource = HomeContentResource::class;

    protected function getHeaderActions(): array
    {
        return HomeContent::count() === 0 ? [
            Actions\CreateAction::make(),
        ] : [];
    }
}
